# Uses of Interface
org.apache.wiki.attachment.AttachmentManager

Packages that use AttachmentManager
Package
Description
org.apache.wiki
The chief package of JSPWiki.
org.apache.wiki.attachment
Attachment management, uploading and downloading.

## Uses of AttachmentManager in org.apache.wiki

Methods in org.apache.wiki that return AttachmentManager
Modifier and Type
Method
Description
`AttachmentManager`
WikiEngine.`getAttachmentManager()`
Deprecated.
use `getManager( AttachmentManager.class )` instead.

## Uses of AttachmentManager in org.apache.wiki.attachment

Classes in org.apache.wiki.attachment that implement AttachmentManager
Modifier and Type
Class
Description
`class`
`DefaultAttachmentManager`
Default implementation for `AttachmentManager`.